[PUP-7747] Update vendored version of the semantic_puppet gem to version 1.0.1 Created: 2017/06/30  Updated: 2017/07/19  Resolved: 2017/07/10

Status: Closed
Project: Puppet
Component/s: None
Affects Version/s: PUP 5.0.0
Fix Version/s: PUP 5.0.1

Type: Bug Priority: Normal
Reporter: Thomas Hallgren Assignee: Unassigned
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Blocks
blocks MODULES-5159 Modules packaging steps fail due to s... Resolved
Template:
Sub-team: Language
Team: Agent
Story Points: 1
Sprint: Agent 2017-07-12
Method Found: Automated Test
Release Notes: Bug Fix
Release Notes Summary: Previously, puppet's vendored semantic_puppet implementation would reject prerelease module versions containing leading zeros with hex digits, e.g. 00abc. This ticket updates the vendored semantic_puppet to accept them, and is the same fix as was applied to the external semantic_puppet gem, see MODULES-5159.
QA Risk Assessment: No Action

 Description   

The bug detected in MODULES-5159 was fixed in PR-26 for semantic_puppet and subsequently released in version 1.0.1 of the gem. This fix must be propagated to the gem that is vendored in the puppet code-base.



 Comments   
Comment by Kenn Hussey [ 2017/07/17 ]

Thomas Hallgren please provide release notes for this issue, if needed.

Generated at Tue Jul 14 20:20:42 PDT 2020 using Jira 8.5.2#805002-sha1:a66f9354b9e12ac788984e5d84669c903a370049.